/*    
       This software may be used and distributed according to the terms of
       the GNU General Public License (GPL), incorporated herein by
       reference.  Drivers based on this skeleton fall under the GPL and
       must retain the authorship (implicit copyright) notice.
 
       This program is distributed in the hope that it will be useful, but
       WITHOUT ANY WARRANTY; without even the implied warranty of
       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
       General Public License for more details.
 */
package cricketdaemon.reader.serial;

import cricketdaemon.module.ModuleThread;

/**
 * Interface to support dynamic class loading for the OldSerialPortReader
 * and SerialPortReader.
 *
 * @author Allen Miu
 */
public interface PortReaderFactory
{
    // The return type is ModuleThread to prevent the loading
    // of the SerialPortReader class, unless this method is called.
    public ModuleThread create(String configFile);
}
